Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000064 [libFirm] representation major always 2011-06-04 17:22 2011-12-24 03:47
Reporter piper View Status public  
Assigned To zwinkau
Priority normal Resolution fixed  
Status closed   Product Version development
Summary 0000064: ir/ir/irverify.c bug on 64-bit hosts
Description ir/ir/irverify.c has this line, which is using "int". It should use "long".

  int default_pn = get_Cond_default_proj(branch);

get_Cond_default_proj returns a long, and the only use of default_pn is a comparison with another long.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000100)
zwinkau (manager)
2011-06-06 12:19

Confirmed. There are also cases, where long is casted to unsigned long without any obvious reason.
(0000101)
zwinkau (manager)
2011-06-06 12:21

Fixed as of libFirm 94d8ca165f5304ba0c78a7bb5ce524693b58ec2e

- Issue History
Date Modified Username Field Change
2011-06-04 17:22 piper New Issue
2011-06-06 12:18 zwinkau Status new => assigned
2011-06-06 12:18 zwinkau Assigned To => zwinkau
2011-06-06 12:19 zwinkau Note Added: 0000100
2011-06-06 12:19 zwinkau Status assigned => confirmed
2011-06-06 12:21 zwinkau Note Added: 0000101
2011-06-06 12:21 zwinkau Status confirmed => resolved
2011-06-06 12:21 zwinkau Fixed in Version => development
2011-06-06 12:21 zwinkau Resolution open => fixed
2011-12-24 03:47 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker